Page MenuHome

UI Paper Cuts (Parent Task)
Confirmed, NormalPublicTO DO

Tokens
"Love" token, awarded by 1D_Inc."Love" token, awarded by ofuscado."Love" token, awarded by eobet."Love" token, awarded by ckat609."Love" token, awarded by 0o00o0oo."Love" token, awarded by sebastianmroy."Love" token, awarded by rawalanche."Love" token, awarded by razgriz286."Love" token, awarded by jonathanl.
Assigned To
None
Authored By

Description

This design task is targeted at contributing and new developers looking for smaller but worthwhile UI tasks. These are meant to be 'paper cuts' - very small UI annoyances that, in aggregate, make things unpleasant or annoying. All of these tasks should be smaller in scope, so that new or occasional developers can handle them.

This is a curated list of items picked from this Devtalk thread. It will be updated with new items over time.

Order of importance:

Very Important - These we should handle before the initial release of Blender 2.80
Somewhat Important - These issues would be nice to do as soon as possible
Less Important - Extra polish, nice to have
? Incomplete - Tasks needing more details before implementing.

General

Text Editor

Nodes

Properties

Animation Editors

Other Editors

Tools

The actual tasks are listed as subtasks under this parent task, with more information.

Developers

For new developers who might be interested in tackling any of these, refer to this document about contributing a patch:

https://wiki.blender.org/wiki/Process/Contributing_Code

Related Objects

StatusSubtypeAssignedTask
ConfirmedTO DONone
ResolvedTO DOEric Fode (ericfode)
ResolvedTO DONone
ConfirmedTO DONone
ResolvedTO DOJacques Lucke (JacquesLucke)
ConfirmedTO DONone
ResolvedTO DOWilliam Reynish (billreynish)
ConfirmedTO DONone
ConfirmedTO DOAmit Sari (Hamitos)
ConfirmedTO DONone
ConfirmedTO DONone
ResolvedTO DONone
ResolvedTO DOCampbell Barton (campbellbarton)
ResolvedTO DOWilliam Reynish (billreynish)
ResolvedTO DONone
ResolvedTO DOWilliam Reynish (billreynish)
ResolvedTO DOWilliam Reynish (billreynish)
DuplicateTO DONone
ConfirmedTO DONone
ConfirmedTO DONone
ConfirmedTO DONone
ResolvedDESIGNNone
ResolvedTO DONathan Craddock (Zachman)
ResolvedTO DOCampbell Barton (campbellbarton)
ResolvedTO DOWilliam Reynish (billreynish)
ResolvedTO DONathan Craddock (Zachman)
ResolvedTO DOCampbell Barton (campbellbarton)
ResolvedTO DONone
ConfirmedTO DONone
ResolvedDESIGNWilliam Reynish (billreynish)
ResolvedDESIGNCampbell Barton (campbellbarton)
ResolvedDESIGNCampbell Barton (campbellbarton)
ResolvedTO DOCampbell Barton (campbellbarton)
ResolvedTO DOBrecht Van Lommel (brecht)
ResolvedTO DONone
ResolvedTO DONone
ResolvedTO DOswann (slumber)
ResolvedTO DOGeorge Vogiatzis (Gvgeo)
ResolvedTO DOCampbell Barton (campbellbarton)
ConfirmedDESIGNNone
ConfirmedTO DONathan Craddock (Zachman)
ResolvedTO DOJacques Lucke (JacquesLucke)
DuplicateTO DOAbid Maqbool (cto.abid)
ResolvedTO DOCampbell Barton (campbellbarton)
ResolvedTO DOGeorge Vogiatzis (Gvgeo)
ResolvedDESIGNWilliam Reynish (billreynish)
ResolvedTO DOGeorge Vogiatzis (Gvgeo)
ConfirmedTO DOLuis de Bethencourt Guimera (luisbg)
ResolvedTO DOWilliam Reynish (billreynish)
ResolvedTO DOWilliam Reynish (billreynish)
ResolvedTO DOWilliam Reynish (billreynish)
InvalidTO DOWilliam Reynish (billreynish)
ResolvedTO DOWilliam Reynish (billreynish)
ConfirmedTO DONone
ConfirmedTO DONone
InvalidTO DOWilliam Reynish (billreynish)
ResolvedTO DOAaron Carlisle (Blendify)
ResolvedTO DOWilliam Reynish (billreynish)
ResolvedTO DOAaron Carlisle (Blendify)
ResolvedTO DOWilliam Reynish (billreynish)
ConfirmedTO DONone
ResolvedTO DONone
ResolvedTO DOJacques Lucke (JacquesLucke)
ResolvedTO DONone
ConfirmedTO DONone
ResolvedTO DOWilliam Reynish (billreynish)
ResolvedDESIGNWilliam Reynish (billreynish)
ResolvedTO DOBrecht Van Lommel (brecht)
ResolvedDESIGNWilliam Reynish (billreynish)
ResolvedTO DOJacques Lucke (JacquesLucke)
ResolvedTO DOEitan (EitanSomething)
InvalidTO DOCampbell Barton (campbellbarton)
ResolvedTO DORichard Antalik (ISS)
ResolvedTO DOCandleComet (CandleComet)
ResolvedTO DOJacques Lucke (JacquesLucke)
DuplicateTO DONone
ConfirmedTO DONone
ConfirmedTO DOLuis de Bethencourt Guimera (luisbg)

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Correct me if this is the wrong place:
Transform Orientations should be split for Translation, Rotation and Scale, so you can have each on it's own.

Campbell Barton (campbellbarton) changed the status of subtask T61554: Region Overlap: Input is blocked from Unknown Status to Resolved.Apr 23 2019, 10:21 PM
William Reynish (billreynish) changed the status of subtask T61557: Move Object Origin Size to Themes from Unknown Status to Resolved.
Jacques Lucke (JacquesLucke) changed the status of subtask T63193: Animation Editor Scrubbing Area from Unknown Status to Resolved.May 7 2019, 3:21 PM
Jacques Lucke (JacquesLucke) changed the status of subtask T64256: Animation Editor Scrollbars from Unknown Status to Resolved.May 8 2019, 3:17 PM
William Reynish (billreynish) changed the status of subtask T64174: Automatically Store Quick Favorites from Unknown Status to Resolved.May 10 2019, 11:24 AM
William Reynish (billreynish) updated the task description. (Show Details)
William Reynish (billreynish) changed the status of subtask T61555: Color Management panel naming from Unknown Status to Resolved.
Richard Antalik (ISS) changed the status of subtask T64661: VSE: Place audio strips under video from Unknown Status to Resolved.May 23 2019, 10:49 PM

Removed T57721: For ID blocks, move + and x buttons into popover, writing a new ID-datablock browser isn't suitable for new developers.

William Reynish (billreynish) changed the status of subtask T64929: Top right of 3D View looks crowded from Unknown Status to Resolved.Sep 30 2019, 8:37 PM
William Reynish (billreynish) updated the task description. (Show Details)
Alexei (XZS) removed a subscriber: Alexei (XZS).
Aaron Carlisle (Blendify) changed the status of subtask T57712: Move the transform info away from the header, into the viewport. from Needs Information from User to Confirmed.Mon, Feb 10, 5:45 PM
Aaron Carlisle (Blendify) changed the status of subtask T62309: Make enum menus nicer from Needs Information from User to Confirmed.